import { DeepClient } from '@deep-foundation/deeplinks/imports/client';
export declare function useArePackagesInstalled(param: UseArePackagesInstalledParam): {
    packageInstallationStatuses: Record<string, boolean>;
    loading: boolean;
    error: any;
};
export interface UseArePackagesInstalledParam {
    deep: DeepClient;
    packageNames: Array<string>;
}
export type PackageInstallationStatuses = Record<string, boolean> | undefined;
export interface UseArePackagesInstalledResult {
    packageInstallationStatuses: PackageInstallationStatuses;
    loading: boolean;
    error: Error;
}
